Skip to main content
`Ctrl`+`K`

# MatMFFDResetHHistory

Resets the counter to zero to begin collecting a new set of differencing histories for the `MATMFFD` matrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMFFDResetHHistory(Mat J)

Logically Collective

## Input Parameter

- J - the matrix-free matrix context

## Note

Use `MatMFFDSetHHistory()` to create the original history counter.

## See Also

Matrices, `Mat`, `MATMFFD`, `MatMFFDGetH()`, `MatCreateSNESMF()`, `MatMFFDSetHHistory()`, `MatMFFDSetFunctionError()`

## Level

advanced

## Location

src/mat/impls/mffd/mffd.c

## Implementations

MatMFFDResetHHistory_MFFD() in src/mat/impls/mffd/mffd.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages